nom: parapheur-only
type: 'Flux Généraux'
description: ''
connecteur:
    - signature
affiche_one: false
formulaire:
    onglet1:
        titre:
            name: Titre
            type: text
            requis: true
            multiple: false
            commentaire: ''
            title: true
            index: true
        fichier:
            name: 'The fichier'
            type: file
            requis: true
            multiple: false
            commentaire: ''
    Cheminement:
        envoi_signature:
            name: Visa/Signature
            type: checkbox
            onchange: cheminement-change
            default: checked
            read-only: true
    iparapheur:
        envoi_iparapheur:
            no-show: true
        iparapheur_type:
            name: 'Type iparapheur'
            read-only: true
        iparapheur_sous_type:
            name: 'Sous-type iparapheur'
            requis: true
            index: true
            type: externalData
            choice-action: iparapheur-sous-type
            link_name: 'Sélectionner un sous-type'
        annotation_publique:
            name: 'Annotation publique'
            type: textarea
        annotation_privee:
            name: 'Annotation privée'
            type: textarea
    'Parapheur FAST':
        envoi_fast:
            no-show: true
        fast_parapheur_circuit:
            name: 'Circuit sur le parapheur'
            type: externalData
            choice-action: iparapheur-sous-type
            link_name: 'Liste des circuits'
        fast_parapheur_circuit_configuration:
            name: 'Configuration du circuit à la volée (au format JSON)'
            commentaire: 'Si ce fichier est déposé, il remplace le circuit choisi dans le champ "Circuit sur le parapheur"'
            type: file
        fast_parapheur_email_destinataire:
            name: 'Email du destinataire'
            commentaire: "Email de la personne à qui l’on souhaite envoyer le document après sa signature<br />\nUniquement avec le mode \"circuit à la volée\""
        fast_parapheur_email_cc:
            name: 'Email des destinataires en copie carbone'
            commentaire: "Permet de rajouter des destinataires mais en copie carbone<br />\nUniquement avec le mode \"circuit à la volée\""
        fast_parapheur_agents:
            name: 'Emails des agents'
            commentaire: "Les emails des utilisateurs à rajouter en tant qu’agent. Séparé par des virgules<br />\nUniquement avec le mode \"circuit à la volée\""
    Signature:
        iparapheur_dossier_id:
            name: '#ID dossier parapheur'
            read-only: true
        iparapheur_historique:
            name: 'Historique iparapheur'
            type: file
            read-only: true
        parapheur_last_message:
            name: 'Dernier message reçu du parapheur'
            read-only: true
        parapheur_date_signature:
            name: 'Date de dernière signature'
            type: date
            read-only: true
        has_signature:
            no-show: true
            read-only: true
        signature:
            name: 'Signature détachée'
            type: file
            read-only: true
        bordereau_signature:
            name: 'Bordereau de signature'
            type: file
            read-only: true
        document_original:
            name: 'Document original'
            type: file
            read-only: true
        multi_document_original:
            name: 'Multi-document(s) original'
            type: file
            multiple: true
            read-only: true
        iparapheur_annexe_sortie:
            name: 'Annexe(s) de sortie du parapheur'
            type: file
            multiple: true
            read-only: true
champs-affiches:
    - titre
    - dernier_etat
    - date_dernier_etat
    - titre
champs-recherche-avancee:
    - type
    - id_e
    - lastetat
    - last_state_begin
    - etatTransit
    - state_begin
    - notEtatTransit
    - search
    - titre
page-condition:
    iparapheur:
        envoi_iparapheur: true
    'Parapheur FAST':
        envoi_fast: true
    Signature:
        has_signature: true
action:
    creation:
        name-action: Créer
        name: Créé
        rule:
            no-last-action: ''
    modification:
        name-action: Modifier
        name: 'En cours de rédaction'
        rule:
            last-action:
                - creation
                - modification
                - importation
                - send-signature-error
    supression:
        name-action: Supprimer
        name: Supprimé
        rule:
            last-action:
                - creation
                - modification
                - importation
                - termine
                - fatal-error
                - rejet-iparapheur
                - send-signature-error
                - erreur-verif-iparapheur
        action-class: Supprimer
        warning: 'Êtes-vous sûr ?'
    importation:
        name: 'Importation du document'
        rule:
            role_id_e: no-role
        action-automatique: orientation
    orientation:
        name: 'Envoi du document'
        name-action: 'Envoyer le document'
        rule:
            last-action:
                - creation
                - modification
                - importation
                - recu-iparapheur
            document_is_valide: true
        action-class: OrientationTypeDossierPersonnalise
    termine:
        name: 'Traitement terminé'
        rule:
            role_id_e: no-role
    reouverture:
        name: 'Rouvrir le dossier'
        rule:
            last-action:
                - termine
        action-class: Reopen
    cheminement-change:
        no-workflow: true
        rule:
            role_id_e: 'no-role,'
        action-class: CheminementChangeTypeDossierPersonnalise
    preparation-send-iparapheur:
        name: "Préparation de l'envoi au parapheur"
        rule:
            role_id_e: no-role
        action-automatique: send-iparapheur
    send-iparapheur:
        name-action: 'Transmettre au parapheur'
        name: 'Transmis au parapheur'
        rule:
            last-action:
                - preparation-send-iparapheur
                - send-signature-error
        action-class: StandardAction
        connecteur-type: signature
        connecteur-type-action: SignatureEnvoie
        connecteur-type-mapping:
            iparapheur_type: iparapheur_type
            iparapheur_sous_type: iparapheur_sous_type
            iparapheur_dossier_id: iparapheur_dossier_id
            fast_parapheur_circuit: fast_parapheur_circuit
            fast_parapheur_circuit_configuration: fast_parapheur_circuit_configuration
            fast_parapheur_email_destinataire: fast_parapheur_email_destinataire
            fast_parapheur_email_cc: fast_parapheur_email_cc
            fast_parapheur_agents: fast_parapheur_agents
            send-signature-error: send-signature-error
            iparapheur_annotation_publique: annotation_publique
            iparapheur_annotation_privee: annotation_privee
            objet: titre
            document: fichier
        action-automatique: verif-iparapheur
    send-signature-error:
        name: "Erreur lors de l'envoi du dossier à la signature"
        editable-content:
            - iparapheur_sous_type
            - fast_parapheur_circuit
            - fast_parapheur_circuit_configuration
            - fast_parapheur_email_destinataire
            - fast_parapheur_email_cc
            - fast_parapheur_agents
        rule:
            role_id_e: no-role
        modification-no-change-etat: true
    verif-iparapheur:
        name-action: 'Vérifier le statut de signature'
        name: 'Vérification de la signature'
        rule:
            last-action:
                - erreur-verif-iparapheur
                - send-iparapheur
        action-class: StandardAction
        connecteur-type: signature
        connecteur-type-action: SignatureRecuperation
        connecteur-type-mapping:
            iparapheur_historique: iparapheur_historique
            parapheur_last_message: parapheur_last_message
            parapheur_date_signature: parapheur_date_signature
            has_signature: has_signature
            signature: signature
            document_original: document_original
            multi_document_original: multi_document_original
            bordereau: bordereau_signature
            iparapheur_annexe_sortie: iparapheur_annexe_sortie
            iparapheur_dossier_id: iparapheur_dossier_id
            recu-iparapheur: recu-iparapheur
            rejet-iparapheur: rejet-iparapheur
            erreur-verif-iparapheur: erreur-verif-iparapheur
            objet: titre
            document: fichier
    erreur-verif-iparapheur:
        name: 'Erreur lors de la vérification du statut de signature'
        rule:
            role_id_e: no-role
    recu-iparapheur:
        name: 'Signature récupérée'
        rule:
            role_id_e: no-role
        action-automatique: orientation
    rejet-iparapheur:
        name: 'Signature refusée'
        rule:
            role_id_e: no-role
    iparapheur-sous-type:
        name: 'Liste des sous-type iparapheur'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: IparapheurSousType
        connecteur-type-mapping:
            iparapheur_type: iparapheur_type
            iparapheur_sous_type: iparapheur_sous_type
            fast_parapheur_circuit: fast_parapheur_circuit
